View Issue Details

IDProjectCategoryView StatusLast Update
0002278unrealircdpublic2013-01-09 09:52
ReporterStealthAssigned Tonate 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.8 
Summary0002278: Double /connect's
DescriptionIf someone tries to /connect a server, and someone else tries to /connect the same server, Unreal should give an error to the second person saying there is already a connection in progress.

Example in additional info.
Additional InformationOper1: /connect server2.somenet.com
Server: Connection to server2.somenet.com[someIP] activated.
Oper2: /connect server2.somenet.com
Server: Connection to server2.somenet.com[someIP] activated.

Server: Connection to server2.somenet.com synched (blah blah blah)
Server: ERROR from server2.somenet.com[someIP] -- Server server.mynet.com already exists from server.mynet.com

An error should be added for when Oper2 tries to /connect the same server that Oper1 tried. The error should also be shown if an oper tries to /connect a server on autoconnect.

TagsNo tags attached.
3rd party modules

Activities

aquanight

2005-01-14 19:05

reporter   ~0008808

Probably should do the same to /connect vs. autoconnect stepping on each other...

driew

2010-04-15 22:04

reporter   ~0016075

You have to be careful with the autoconnect stepping on a /connect.

Be sure an oper can still /connect if the autoconnect hasn't triggered yet.
As, some nets have have a long auto-connect timeout, and we wouldn't want to prevent a /squit, /connect to reroute being blocked by the fact an autoconnect is available.

syzop

2013-01-09 09:52

administrator   ~0017306

This was already fixed in 3.2.8 or 3.2.9

Issue History

Date Modified Username Field Change
2005-01-12 14:49 Stealth New Issue
2005-01-14 19:05 aquanight Note Added: 0008808
2006-11-12 14:35 syzop Status new => acknowledged
2006-11-12 14:35 syzop Relationship added child of 0003111
2007-09-06 10:10 syzop Relationship added child of 0003454
2008-02-09 08:08 nate Status acknowledged => assigned
2008-02-09 08:08 nate Assigned To => nate
2008-06-24 16:38 nate Relationship deleted child of 0003111
2008-12-23 15:55 syzop Relationship deleted child of 0003454
2010-04-15 22:04 driew Note Added: 0016075
2013-01-09 09:52 syzop Note Added: 0017306
2013-01-09 09:52 syzop Status assigned => resolved
2013-01-09 09:52 syzop Fixed in Version => 3.2.8
2013-01-09 09:52 syzop Resolution open => fixed